//---------------------------------------------------------------------------

#include <clx.h>
#pragma hdrstop
USEFORM("Main.cpp", OverviewWin);
USEFORM("SQL.cpp", SQLModule); /* TDataModule: File Type */
USEFORM("../setup-kylix/Detail.cpp", DetailWin);
//---------------------------------------------------------------------------
int main(void)
{
  try
  {
     Application->Initialize();
     Application->Title = "MYthTV EPG";
     Application->CreateForm(__classid(TSQLModule), &SQLModule);
     Application->CreateForm(__classid(TOverviewWin), &OverviewWin);
     Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  catch(...)
  {
     try
     {
       throw Exception("");
     }
     catch(Exception &exception)
     {
       Application->ShowException(&exception);
     }
  }
  return 0;
}
//---------------------------------------------------------------------------
